Index: branches/HiveProjectManagement/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ProjectsView.cs
===================================================================
--- branches/HiveProjectManagement/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ProjectsView.cs	(revision 15401)
+++ branches/HiveProjectManagement/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ProjectsView.cs	(revision 15401)
@@ -0,0 +1,418 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2017 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Linq;
+using System.Windows.Forms;
+using HeuristicLab.Clients.Access;
+using HeuristicLab.Clients.Hive.Views;
+using HeuristicLab.Collections;
+using HeuristicLab.Common.Resources;
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Clients.Hive.Administrator.Views {
+  [View("Projects View")]
+  [Content(typeof(IItemList<Project>), false)]
+  public partial class ProjectsView : ItemView, IDisposable {
+    private const int greenFlagImageIndex = 0;
+    private const int redFlagImageIndex = 1;
+
+    private readonly object locker = new object();
+    private bool updatingProjects = false;
+    private bool removingProjects = false;
+    private bool savingProjects = false;
+
+    public new IItemList<Project> Content {
+      get { return (IItemList<Project>)base.Content; }
+      set { base.Content = value; }
+    }
+
+    public ProjectsView() {
+      InitializeComponent();
+
+      projectsTreeView.ImageList.Images.Add(VSImageLibrary.FlagGreen);
+      projectsTreeView.ImageList.Images.Add(VSImageLibrary.FlagRed);
+
+      HiveAdminClient.Instance.Refreshing += HiveAdminClient_Instance_Refreshing;
+      HiveAdminClient.Instance.Refreshed += HiveAdminClient_Instance_Refreshed;
+      AccessClient.Instance.Refreshing += AccessClient_Instance_Refreshing;
+      AccessClient.Instance.Refreshed += AccessClient_Instance_Refreshed;
+    }
+
+    #region Overrides
+    protected override void OnClosing(FormClosingEventArgs e) {
+      AccessClient.Instance.Refreshed -= AccessClient_Instance_Refreshed;
+      AccessClient.Instance.Refreshing -= AccessClient_Instance_Refreshing;
+      HiveAdminClient.Instance.Refreshed -= HiveAdminClient_Instance_Refreshed;
+      HiveAdminClient.Instance.Refreshing -= HiveAdminClient_Instance_Refreshing;
+      base.OnClosing(e);
+    }
+
+    protected override void RegisterContentEvents() {
+      base.RegisterContentEvents();
+      Content.ItemsAdded += Content_ItemsAdded;
+      Content.ItemsRemoved += Content_ItemsRemoved;
+    }
+
+    protected override void DeregisterContentEvents() {
+      Content.ItemsRemoved -= Content_ItemsRemoved;
+      Content.ItemsAdded -= Content_ItemsAdded;
+      base.DeregisterContentEvents();
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        projectsTreeView.Nodes.Clear();
+        projectView.Content = null;
+        permissionsView.Content = null;
+        permissionsView.FetchSelectedUsers = null;
+      } else {
+        var top = BuildProjectTree(Content);
+        projectView.Content = top;
+        permissionsView.Content = AccessClient.Instance;
+      }
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      bool enabled = Content != null;
+      addButton.Enabled = enabled;
+      removeButton.Enabled = enabled;
+      saveProjectButton.Enabled = enabled;
+      savePermissionsButton.Enabled = enabled && permissionsView.FetchSelectedUsers != null;
+      permissionsView.Enabled = enabled && permissionsView.FetchSelectedUsers != null;
+    }
+    #endregion
+
+    #region Event Handlers
+    private void Content_ItemsAdded(object sender, CollectionItemsChangedEventArgs<IndexedItem<Project>> e) {
+      OnContentChanged();
+    }
+
+    private void Content_ItemsRemoved(object sender, CollectionItemsChangedEventArgs<IndexedItem<Project>> e) {
+      OnContentChanged();
+    }
+
+    private void ProjectViewContent_PropertyChanged(object sender, PropertyChangedEventArgs e) {
+      OnContentChanged();
+    }
+
+    private void HiveAdminClient_Instance_Refreshing(object sender, EventArgs e) {
+      if (InvokeRequired) Invoke((Action<object, EventArgs>)HiveAdminClient_Instance_Refreshing, sender, e);
+      else {
+        var mainForm = MainFormManager.GetMainForm<MainForm.WindowsForms.MainForm>();
+        mainForm.AddOperationProgressToView(this, "Refreshing ...");
+        SetEnabledStateOfControls();
+      }
+    }
+
+    private void HiveAdminClient_Instance_Refreshed(object sender, EventArgs e) {
+      if (InvokeRequired) Invoke((Action<object, EventArgs>)HiveAdminClient_Instance_Refreshed, sender, e);
+      else {
+        var mainForm = MainFormManager.GetMainForm<MainForm.WindowsForms.MainForm>();
+        mainForm.RemoveOperationProgressFromView(this);
+        SetEnabledStateOfControls();
+      }
+    }
+
+    private void AccessClient_Instance_Refreshing(object sender, EventArgs e) {
+      if (InvokeRequired) Invoke((Action<object, EventArgs>)AccessClient_Instance_Refreshing, sender, e);
+      else {
+        var mainForm = MainFormManager.GetMainForm<MainForm.WindowsForms.MainForm>();
+        mainForm.AddOperationProgressToView(this, "Refreshing ...");
+        SetEnabledStateOfControls();
+      }
+    }
+
+    private void AccessClient_Instance_Refreshed(object sender, EventArgs e) {
+      if (InvokeRequired) Invoke((Action<object, EventArgs>)AccessClient_Instance_Refreshed, sender, e);
+      else {
+        var mainForm = MainFormManager.GetMainForm<MainForm.WindowsForms.MainForm>();
+        mainForm.RemoveOperationProgressFromView(this);
+        SetEnabledStateOfControls();
+      }
+    }
+
+    private async void ProjectsView_Load(object sender, EventArgs e) {
+      lock (locker) {
+        if (updatingProjects) return;
+        updatingProjects = true;
+      }
+
+      await SecurityExceptionUtil.TryAsyncAndReportSecurityExceptions(
+        action: () => UpdateProjects(),
+        finallyCallback: () => updatingProjects = false);
+    }
+
+    private async void refreshButton_Click(object sender, EventArgs e) {
+      lock (locker) {
+        if (updatingProjects) return;
+        updatingProjects = true;
+      }
+
+      await SecurityExceptionUtil.TryAsyncAndReportSecurityExceptions(
+        action: () => UpdateProjects(),
+        finallyCallback: () => updatingProjects = false);
+    }
+
+    private void addButton_Click(object sender, EventArgs e) {
+      var project = new Project {
+        Name = "New Project",
+        OwnerUserId = UserInformation.Instance.User.Id
+      };
+      Content.Add(project);
+    }
+
+    private async void removeButton_Click(object sender, EventArgs e) {
+      lock (locker) {
+        if (removingProjects) return;
+        removingProjects = true;
+      }
+
+      await SecurityExceptionUtil.TryAsyncAndReportSecurityExceptions(
+        action: () => RemoveProject(),
+        finallyCallback: () => removingProjects = false);
+    }
+
+    private async void saveProjectButton_Click(object sender, EventArgs e) {
+      lock (locker) {
+        if (savingProjects) return;
+        savingProjects = true;
+      }
+
+      await SecurityExceptionUtil.TryAsyncAndReportSecurityExceptions(
+        action: () => {
+          var projectsToSave = Content.Where(x => x.Id == Guid.Empty || x.Modified);
+          foreach (var project in projectsToSave)
+            project.Store();
+        },
+        finallyCallback: () => savingProjects = false);
+    }
+
+    private async void projectsTreeView_AfterSelect(object sender, TreeViewEventArgs e) {
+      var selectedProject = (Project)e.Node.Tag;
+
+      if (projectView.Content != null)
+        projectView.Content.PropertyChanged -= ProjectViewContent_PropertyChanged;
+
+      projectView.Content = selectedProject;
+
+      selectedProject.PropertyChanged += ProjectViewContent_PropertyChanged;
+
+      await SecurityExceptionUtil.TryAsyncAndReportSecurityExceptions(
+        action: () => UpdatePermissions());
+    }
+
+    private void projectsTreeView_DragDrop(object sender, DragEventArgs e) {
+      var sourceNode = (TreeNode)e.Data.GetData(typeof(TreeNode));
+      if (sourceNode == null) return;
+
+      var treeView = (TreeView)sender;
+      if (sourceNode.TreeView != treeView) return;
+
+      var targetPoint = treeView.PointToClient(new Point(e.X, e.Y));
+      var targetNode = treeView.GetNodeAt(targetPoint);
+
+      if (sourceNode == targetNode) return;
+
+      if (sourceNode.Parent == null)
+        treeView.Nodes.Remove(sourceNode);
+      else {
+        sourceNode.Parent.Nodes.Remove(sourceNode);
+        ((Project)sourceNode.Tag).ParentProjectId = null;
+      }
+
+      if (targetNode == null) {
+        treeView.Nodes.Add(sourceNode);
+      } else {
+        targetNode.Nodes.Add(sourceNode);
+        ((Project)sourceNode.Tag).ParentProjectId = ((Project)targetNode.Tag).Id;
+      }
+    }
+
+    private void projectsTreeView_ItemDrag(object sender, ItemDragEventArgs e) {
+      var sourceNode = (TreeNode)e.Item;
+      if (IsAuthorized((Project)sourceNode.Tag))
+        DoDragDrop(sourceNode, DragDropEffects.All);
+    }
+
+    private void projectsTreeView_DragEnter(object sender, DragEventArgs e) {
+      e.Effect = DragDropEffects.Move;
+    }
+
+    private void projectsTreeView_DragOver(object sender, DragEventArgs e) {
+      e.Effect = DragDropEffects.Move;
+    }
+
+    private void projectsTreeView_QueryContinueDrag(object sender, QueryContinueDragEventArgs e) {
+      e.Action = DragAction.Continue;
+    }
+
+    private void tabControl_SelectedIndexChanged(object sender, EventArgs e) {
+      if (tabControl.SelectedIndex == 1) {
+        UpdatePermissions();
+      }
+    }
+
+    private async void savePermissionsButton_Click(object sender, EventArgs e) {
+      var project = (Project)projectsTreeView.SelectedNode.Tag;
+
+      await SecurityExceptionUtil.TryAsyncAndReportSecurityExceptions(
+        action: () => HiveServiceLocator.Instance.CallHiveService(s => {
+          s.GrantProjectPermissions(project.Id, permissionsView.GetAddedUsers().Select(x => x.Id).ToList());
+          s.RevokeProjectPermissions(project.Id, permissionsView.GetDeletedUsers().Select(x => x.Id).ToList());
+        }));
+    }
+    #endregion
+
+    #region Helpers
+    private Project BuildProjectTree(IEnumerable<Project> projects) {
+      projectsTreeView.Nodes.Clear();
+      if (!projects.Any()) return null;
+
+      var mainProjects = new HashSet<Project>(projects.Where(x => x.ParentProjectId == null));
+      var subProbjects = new HashSet<Project>(projects.Except(mainProjects));
+
+      var stack = new Stack<Project>(mainProjects.OrderByDescending(x => x.Name));
+      var top = stack.Peek();
+
+      TreeNode currentNode = null;
+      Project currentProject = null;
+
+      while (stack.Any()) {
+        var newProject = stack.Pop();
+        var newNode = new TreeNode(newProject.Name) { Tag = newProject };
+
+        while (currentNode != null && newProject.ParentProjectId != currentProject.Id) {
+          currentNode = currentNode.Parent;
+          currentProject = currentNode == null ? null : (Project)currentNode.Tag;
+        }
+
+        if (currentNode == null) {
+          projectsTreeView.Nodes.Add(newNode);
+          newNode.ImageIndex = greenFlagImageIndex;
+        } else {
+          currentNode.Nodes.Add(newNode);
+          newNode.ImageIndex = redFlagImageIndex;
+        }
+
+        newNode.SelectedImageIndex = newNode.ImageIndex;
+
+        var childProjects = subProbjects.Where(x => x.ParentProjectId == newProject.Id);
+        if (childProjects.Any()) {
+          foreach (var project in childProjects.OrderByDescending(x => x.Name)) {
+            subProbjects.Remove(project);
+            stack.Push(project);
+          }
+          currentNode = newNode;
+          currentProject = newProject;
+        }
+      }
+
+      projectsTreeView.ExpandAll();
+
+      return top;
+    }
+
+    private void UpdateProjects() {
+      try {
+
+      } catch (AnonymousUserException) {
+        ShowHiveInformationDialog();
+      }
+      HiveAdminClient.Instance.Refresh();
+      Content = HiveAdminClient.Instance.Projects;
+    }
+
+    private void RemoveProject() {
+      var selectedNode = projectsTreeView.SelectedNode;
+      if (selectedNode == null || selectedNode.Tag == null) return;
+
+      var project = (Project)selectedNode.Tag;
+      var result = MessageBox.Show(
+        "Do you really want to delete " + project.Name + "?",
+        "HeuristicLab Hive Administrator",
+        MessageBoxButtons.YesNo,
+        MessageBoxIcon.Question);
+
+      if (result == DialogResult.Yes) {
+        if (Content.Any(x => x.ParentProjectId == project.Id)) {
+          MessageBox.Show(
+            "Only empty projects can be deleted.",
+            "HeuristicLab Hive Administrator",
+            MessageBoxButtons.OK,
+            MessageBoxIcon.Error);
+        } else {
+          Content.Remove(project);
+          HiveAdminClient.Delete(project);
+        }
+      }
+    }
+
+    private void UpdatePermissions() {
+      var selectedNode = projectsTreeView.SelectedNode;
+      var project = (Project)selectedNode?.Tag;
+
+      if (IsAuthorized(project)) {
+        permissionsView.FetchSelectedUsers = () =>
+          HiveServiceLocator.Instance.CallHiveService(s => s.GetProjectPermissions(project.Id))
+                                            .Select(x => x.GrantedUserId)
+                                            .ToList();
+
+        savePermissionsButton.Enabled = true;
+
+        if (!tabControl.TabPages.Contains(permissionsTabPage))
+          tabControl.TabPages.Add(permissionsTabPage);
+
+        if (tabControl.SelectedIndex == 1 && permissionsView.Content != null && permissionsView.FetchSelectedUsers != null)
+          permissionsView.ManualRefresh();
+      } else {
+        permissionsView.FetchSelectedUsers = null;
+        savePermissionsButton.Enabled = false;
+
+        if (tabControl.TabPages.Contains(permissionsTabPage))
+          tabControl.TabPages.Remove(permissionsTabPage);
+      }
+    }
+
+    private bool IsAuthorized(Project project) {
+      return project != null
+          && UserInformation.Instance.UserExists
+          && (project.OwnerUserId == UserInformation.Instance.User.Id || HiveRoles.CheckAdminUserPermissions());
+    }
+
+    private void ShowHiveInformationDialog() {
+      if (InvokeRequired) Invoke((Action)ShowHiveInformationDialog);
+      else {
+        using (HiveInformationDialog dialog = new HiveInformationDialog()) {
+          dialog.ShowDialog(this);
+        }
+      }
+    }
+    #endregion
+  }
+}
Index: branches/HiveProjectManagement/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.Designer.cs
===================================================================
--- branches/HiveProjectManagement/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.Designer.cs	(revision 15399)
+++ branches/HiveProjectManagement/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.Designer.cs	(revision 15401)
@@ -37,9 +37,9 @@
         components.Dispose();
       }
-      HiveAdminClient.Instance.Refreshing -= new EventHandler(Instance_Refreshing);
-      HiveAdminClient.Instance.Refreshed -= new EventHandler(Instance_Refreshed);
-
-      Access.AccessClient.Instance.Refreshing -= new EventHandler(AccessClient_Refreshing);
-      Access.AccessClient.Instance.Refreshed -= new EventHandler(AccessClient_Refreshed);
+      HiveAdminClient.Instance.Refreshing -= new EventHandler(HiveAdminClient_Instance_Refreshing);
+      HiveAdminClient.Instance.Refreshed -= new EventHandler(HiveAdminClient_Instance_Refreshed);
+
+      Access.AccessClient.Instance.Refreshing -= new EventHandler(AccessClient_Instance_Refreshing);
+      Access.AccessClient.Instance.Refreshed -= new EventHandler(AccessClient_Instance_Refreshed);
       base.Dispose(disposing);
     }
@@ -53,12 +53,11 @@
     private void InitializeComponent() {
       this.components = new System.ComponentModel.Container();
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(ResourcesView));
       this.imageListSlaveGroups = new System.Windows.Forms.ImageList(this.components);
       this.splitSlaves = new System.Windows.Forms.SplitContainer();
       this.btnRefresh = new System.Windows.Forms.Button();
-      this.progressBar = new System.Windows.Forms.ProgressBar();
       this.btnSave = new System.Windows.Forms.Button();
       this.btnRemoveGroup = new System.Windows.Forms.Button();
       this.btnAddGroup = new System.Windows.Forms.Button();
-      this.btnPermissionsSave = new System.Windows.Forms.Button();
       this.treeSlaveGroup = new System.Windows.Forms.TreeView();
       this.tabSlaveGroup = new System.Windows.Forms.TabControl();
@@ -68,6 +67,4 @@
       this.scheduleView = new HeuristicLab.Clients.Hive.Administrator.Views.ScheduleView();
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
-      this.tabPermissions = new System.Windows.Forms.TabPage();
-      this.permissionView = new HeuristicLab.Clients.Access.Views.RefreshableLightweightUserView();
       ((System.ComponentModel.ISupportInitialize)(this.splitSlaves)).BeginInit();
       this.splitSlaves.Panel1.SuspendLayout();
@@ -77,5 +74,4 @@
       this.tabDetails.SuspendLayout();
       this.tabSchedule.SuspendLayout();
-      this.tabPermissions.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -88,6 +84,6 @@
       // splitSlaves
       // 
-      this.splitSlaves.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.splitSlaves.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.splitSlaves.Location = new System.Drawing.Point(3, 3);
@@ -97,5 +93,4 @@
       // 
       this.splitSlaves.Panel1.Controls.Add(this.btnRefresh);
-      this.splitSlaves.Panel1.Controls.Add(this.progressBar);
       this.splitSlaves.Panel1.Controls.Add(this.btnSave);
       this.splitSlaves.Panel1.Controls.Add(this.btnRemoveGroup);
@@ -121,12 +116,4 @@
       this.btnRefresh.Click += new System.EventHandler(this.btnRefresh_Click);
       // 
-      // progressBar
-      // 
-      this.progressBar.Location = new System.Drawing.Point(123, 4);
-      this.progressBar.Name = "progressBar";
-      this.progressBar.Size = new System.Drawing.Size(123, 23);
-      this.progressBar.Style = System.Windows.Forms.ProgressBarStyle.Continuous;
-      this.progressBar.TabIndex = 7;
-      // 
       // btnSave
       // 
@@ -165,6 +152,6 @@
       // 
       this.treeSlaveGroup.AllowDrop = true;
-      this.treeSlaveGroup.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.treeSlaveGroup.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.treeSlaveGroup.ImageIndex = 0;
@@ -184,10 +171,9 @@
       // tabSlaveGroup
       // 
-      this.tabSlaveGroup.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.tabSlaveGroup.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.tabSlaveGroup.Controls.Add(this.tabDetails);
       this.tabSlaveGroup.Controls.Add(this.tabSchedule);
-      this.tabSlaveGroup.Controls.Add(this.tabPermissions);
       this.tabSlaveGroup.Location = new System.Drawing.Point(3, 3);
       this.tabSlaveGroup.Name = "tabSlaveGroup";
@@ -210,6 +196,6 @@
       // slaveView
       // 
-      this.slaveView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.slaveView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.slaveView.Caption = "SlaveView";
@@ -234,6 +220,6 @@
       // scheduleView
       // 
-      this.scheduleView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
+      this.scheduleView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
             | System.Windows.Forms.AnchorStyles.Right)));
       this.scheduleView.Caption = "ScheduleView";
@@ -244,42 +230,4 @@
       this.scheduleView.Size = new System.Drawing.Size(565, 503);
       this.scheduleView.TabIndex = 0;
-      // 
-      // tabPermissions
-      // 
-      this.tabPermissions.Controls.Add(this.btnPermissionsSave);
-      this.tabPermissions.Controls.Add(this.permissionView);
-      this.tabPermissions.Location = new System.Drawing.Point(4, 22);
-      this.tabPermissions.Name = "tabPermissions";
-      this.tabPermissions.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPermissions.Size = new System.Drawing.Size(577, 515);
-      this.tabPermissions.TabIndex = 2;
-      this.tabPermissions.Text = "Permissions";
-      this.tabPermissions.UseVisualStyleBackColor = true;
-      // 
-      // btnPermissionsSave
-      // 
-      this.btnPermissionsSave.Enabled = false;
-      this.btnPermissionsSave.Image = HeuristicLab.Common.Resources.VSImageLibrary.PublishToWeb;
-      this.btnPermissionsSave.Location = new System.Drawing.Point(39, 9);
-      this.btnPermissionsSave.Name = "btnPermissionsSave";
-      this.btnPermissionsSave.Size = new System.Drawing.Size(24, 24);
-      this.btnPermissionsSave.TabIndex = 1;
-      this.toolTip.SetToolTip(this.btnPermissionsSave, "Store slave and group sharing permissions on the server");
-      this.btnPermissionsSave.UseVisualStyleBackColor = true;
-      this.btnPermissionsSave.Click += new System.EventHandler(this.btnPermissionsSave_Click);
-      // 
-      // permissionView
-      // 
-      this.permissionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.permissionView.Caption = "RefreshableLightweightUser View";
-      this.permissionView.Content = null;
-      this.permissionView.FetchSelectedUsers = null;
-      this.permissionView.Location = new System.Drawing.Point(6, 6);
-      this.permissionView.Name = "permissionView";
-      this.permissionView.ReadOnly = false;
-      this.permissionView.Size = new System.Drawing.Size(565, 503);
-      this.permissionView.TabIndex = 0;
       // 
       // ResourcesView
@@ -297,5 +245,4 @@
       this.tabDetails.ResumeLayout(false);
       this.tabSchedule.ResumeLayout(false);
-      this.tabPermissions.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -315,10 +262,6 @@
     private ScheduleView scheduleView;
     private System.Windows.Forms.Button btnSave;
-    private System.Windows.Forms.ProgressBar progressBar;
     private System.Windows.Forms.Button btnRefresh;
     private System.Windows.Forms.ToolTip toolTip;
-    private System.Windows.Forms.TabPage tabPermissions;
-    private Access.Views.RefreshableLightweightUserView permissionView;
-    private System.Windows.Forms.Button btnPermissionsSave;
   }
 }
